Query parameters
Example
value is the current total value of the award in dollars. path is a relative link to the award’s page on civiccontracts.com.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Browse awarded federal contracts (USAspending data) via the Civic AI API.
GET https://api.civiccontracts.com/v1/awards/search
| Parameter | Type | Description |
|---|---|---|
q | string | Recipient name, PIID, award key, or a descriptive phrase |
state | string | Two-letter place-of-performance state, e.g. TX |
agency | string | Awarding agency name (partial match) or 3-digit agency code |
naics | string | NAICS code prefix, e.g. 5415 |
sort | string | action_date (default), value, or start |
page | number | 1-based page (default 1) |
pageSize | number | Results per page, max 50 (default 25) |
curl -H "Authorization: Bearer civic_YOUR_API_KEY" \
"https://api.civiccontracts.com/v1/awards/search?q=lockheed&state=TX&sort=value&pageSize=2"
{
"success": true,
"data": {
"awards": [
{
"awardId": "CONT_AWD_80GRC023CA011_8000_-NONE-_-NONE-",
"piid": "80GRC023CA011",
"recipientName": "LOCKHEED MARTIN CORPORATION",
"awardingAgencyName": "National Aeronautics and Space Administration",
"awardingAgencyCode": "080",
"value": 2671620,
"startDate": "2023-02-01T00:00:00.000Z",
"endDate": "2028-01-31T00:00:00.000Z",
"actionDate": "2026-05-12T00:00:00.000Z",
"description": "…",
"popState": "TX",
"naicsCode": "541715",
"path": "/awards/…"
}
],
"total": 115,
"page": 1,
"pageSize": 2,
"tookMs": 120
}
}
value is the current total value of the award in dollars. path is a relative link to the award’s page on civiccontracts.com.